Index: u-boot/board/neo1973/gta02/gta02.c
===================================================================
--- u-boot.orig/board/neo1973/gta02/gta02.c
+++ u-boot/board/neo1973/gta02/gta02.c
@@ -33,6 +33,7 @@
 #include <common.h>
 #include <s3c2440.h>
 #include <i2c.h>
+#include <bootmenu.h>
 
 #include "../common/neo1973.h"
 #include "../common/jbt6k74.h"
@@ -308,12 +309,16 @@ continue_boot:
 		if (!(gpio->GPFDAT & (1 << 5)))
 			gpio->GPBDAT &= ~(1 << 2);
 	}
+#endif
 
 	if (menu_vote > 0) {
-		bootmenu();
+		extern struct bootmenu_setup bootmenu_setup;
+
+		if (booted_from_nand)
+			bootmenu_setup.comment = "NAND";
+		neo1973_bootmenu();
 		nobootdelay = 1;
 	}
-#endif
 
 	return 0;
 }
@@ -410,13 +415,11 @@ int neo1973_on_key_pressed(void)
 						& PCF50633_OOCSTAT_ONKEY);
 }
 
-/* FIXME: shared */
 int neo1973_aux_key_pressed(void)
 {
 	S3C24X0_GPIO * const gpio = S3C24X0_GetBase_GPIO();
-	if (gpio->GPFDAT & (1 << 6))
-		return 0;
-	return 1;
+
+	return !!(gpio->GPFDAT & (1 << 6));
 }
 
 /* The sum of all part_size[]s must equal to or greater than the NAND size,
Index: u-boot/board/neo1973/common/bootmenu.c
===================================================================
--- u-boot.orig/board/neo1973/common/bootmenu.c
+++ u-boot/board/neo1973/common/bootmenu.c
@@ -95,7 +95,9 @@ static void poweroff_if_idle(void *user)
 }
 
 
-static struct bootmenu_setup bootmenu_setup = {
+/* "bootmenu_setup" is extern, so platform can tweak it */
+
+struct bootmenu_setup bootmenu_setup = {
 	.next_key = aux_key,
 	.enter_key = on_key,
 	.seconds = seconds,
